echo off
cls
%1:
cd \tvgautil

:PROMPT
cls
type %1:\tvgautil\menu
:menu1
%1:
cd \tvgautil
KEYIN
IF ERRORLEVEL 65 IF NOT ERRORLEVEL 66 GOTO content
IF ERRORLEVEL 97 IF NOT ERRORLEVEL 98 GOTO content
IF ERRORLEVEL 66 IF NOT ERRORLEVEL 67 GOTO utilities
IF ERRORLEVEL 98 IF NOT ERRORLEVEL 99 GOTO utilities
IF ERRORLEVEL 67 IF NOT ERRORLEVEL 68 GOTO drivers
IF ERRORLEVEL 99 IF NOT ERRORLEVEL 100 GOTO drivers
IF ERRORLEVEL 27 IF NOT ERRORLEVEL 28 GOTO EXIT
goto menu1

:content
cls
type %1:\tvgautil\content\content1.1
PAUSE
cls
type %1:\tvgautil\content\content1.2
pause
cls
type %1:\tvgautil\content\content1.3
pause
cls
type %1:\tvgautil\content\content1.4
pause
cls
type %1:\tvgautil\content\content1.5
pause
cls
type %1:\tvgautil\content\content1.6
pause
GOTO PROMPT

:utilities
cls
echo -
echo -
echo -    This file tells how to install your video configuration
echo -    utilities.  To select a utility, type the letter corresponding to
echo -    the name (for example, press D for instructions for TPATCH).
echo -    To return to the main menu, press ENTER.
echo -
echo -    TVGA Utilities List
echo -    ===================
echo -
echo -      A. SVM         -  Set All TVGA Modes
echo -      B. SMONITOR    -  Select Monitor Group and Type(Color/Mono)
echo -      C. TVGACRTC    -  CRTC Modification Program
echo -      D. TPATCH      -  TVGA General Purpose Patch Program
echo -      
echo -
echo -    Select a utility
echo -    or
echo -    press ENTER to return to the main menu.

%1:
cd \tvgautil
KEYIN
IF ERRORLEVEL 65 IF NOT ERRORLEVEL 66 GOTO svm
IF ERRORLEVEL 97 IF NOT ERRORLEVEL 98 GOTO svm
IF ERRORLEVEL 66 IF NOT ERRORLEVEL 67 GOTO smonitor
IF ERRORLEVEL 98 IF NOT ERRORLEVEL 99 GOTO smonitor
IF ERRORLEVEL 67 IF NOT ERRORLEVEL 68 GOTO crtc
IF ERRORLEVEL 99 IF NOT ERRORLEVEL 100 GOTO crtc
IF ERRORLEVEL 68 IF NOT ERRORLEVEL 69 GOTO tpatch
IF ERRORLEVEL 100 IF NOT ERRORLEVEL 101 GOTO tpatch
IF ERRORLEVEL 27 IF NOT ERRORLEVEL 28 GOTO PROMPT
GOTO PROMPT

:drivers
cls
echo -
echo -    This file tells how to install high-resolution drivers
echo -    for DOS applications.  To select an application, type the letter
echo -    corresponding to the name (for example, press C for instructions 
echo -    for Symphony).  To return to the main menu, press Enter.
echo -
echo -    TVGA Display Drivers List
echo -    =========================
echo -        A.  AutoCAD/386 Rel 10, 11, 12 
echo -        B.  Lotus 1-2-3           - Release 2.1 & 2.2
echo -        C.  Symphony              - Release 2.x
echo -        D.  GEM Desktop           - Release 3.xx
echo -        E.  Ventura               - Version 2.x & 3.x
echo -        F.  WordPerfect           - Release 4 and above
echo -        G.  MS Word               - Version 5.0
echo -        H.  MS Word               - Version 5.5
echo -        I.  MS Windows            - Version 3.1
echo -        J.  Quattro Pro           - Version 2.x
echo -        K.  Windows NT Driver     - Version 3.1 
echo -
echo -    Select an application
echo -    or
echo -    Press ENTER to return to the main menu.

%1:
cd \tvgautil
KEYIN
IF ERRORLEVEL 65 IF NOT ERRORLEVEL 66 GOTO acad
IF ERRORLEVEL 97 IF NOT ERRORLEVEL 98 GOTO acad
IF ERRORLEVEL 66 IF NOT ERRORLEVEL 67 GOTO 123
IF ERRORLEVEL 98 IF NOT ERRORLEVEL 99 GOTO 123
IF ERRORLEVEL 67 IF NOT ERRORLEVEL 68 GOTO symph
IF ERRORLEVEL 99 IF NOT ERRORLEVEL 100 GOTO symph
IF ERRORLEVEL 68 IF NOT ERRORLEVEL 69 GOTO gem3
IF ERRORLEVEL 100 IF NOT ERRORLEVEL 101 GOTO gem3
IF ERRORLEVEL 69 IF NOT ERRORLEVEL 70 GOTO vp
IF ERRORLEVEL 101 IF NOT ERRORLEVEL 102 GOTO vp
IF ERRORLEVEL 70 IF NOT ERRORLEVEL 71 GOTO wp
IF ERRORLEVEL 102 IF NOT ERRORLEVEL 103 GOTO wp
IF ERRORLEVEL 71 IF NOT ERRORLEVEL 72 GOTO word
IF ERRORLEVEL 103 IF NOT ERRORLEVEL 104 GOTO word
IF ERRORLEVEL 72 IF NOT ERRORLEVEL 73 GOTO word55
IF ERRORLEVEL 104 IF NOT ERRORLEVEL 105 GOTO word55
IF ERRORLEVEL 73 IF NOT ERRORLEVEL 74 GOTO win
IF ERRORLEVEL 105 IF NOT ERRORLEVEL 106 GOTO win
IF ERRORLEVEL 74 IF NOT ERRORLEVEL 75 GOTO quattro
IF ERRORLEVEL 106 IF NOT ERRORLEVEL 107 GOTO quattro
IF ERRORLEVEL 75 IF NOT ERRORLEVEL 76 GOTO ntdrv
IF ERRORLEVEL 107 IF NOT ERRORLEVEL 108 GOTO ntdrv
IF ERRORLEVEL 27 IF NOT ERRORLEVEL 28 GOTO PROMPT
goto PROMPT

:acad
cls
echo -
echo -
echo -
echo - AutoCAD TurboDLD Classic Driver by Panacea for Trident
echo - ====================================================== 
echo -
echo -  TurboDLD Classic Driver by Panacea is a combined display 
echo -  interface and rendering driver. It supports DOS versions 
echo -  of AutoCAD 10/386, 11/386 and 12. It offers the follwing
echo -  resolutions for the drawing editor:
echo -
echo -      640x480   - 16  colors   
echo -      800x600   - 16  colors   
echo -      1024x768  - 16  colors   
echo -      1280x1024 - 16  colors   
echo -      640x480   - 256 colors   
echo -      800x600   - 256 colors    
echo -      1024x768  - 256 colors    (1MB Video RAM required)
echo -      1280x1024 - 256 colors    (2MB Video RAM required)
echo -      512x480   - 32K colors    (1MB Video RAM required)
echo -      640x480   - 32K colors    (1MB Video RAM required)
echo -      800x600   - 32K colors    (1MB Video RAM required)
echo -      512x480   - 65K colors    (1MB Video RAM required)
echo -      640x480   - 65K colors    (1MB Video RAM required)
echo -      800x600   - 65K colors    (1MB Video RAM required)
echo -
pause
cls
echo -
echo -
echo -  and for rendering:
echo -
echo -      640x480   - 256 colors   
echo -      800x600   - 256 colors    
echo -      1024x768  - 256 colors    (1MB Video RAM required)
echo -      1280x1024 - 256 colors    (2MB Video RAM required)
echo -      512x480   - 32K colors    (1MB Video RAM required)
echo -      640x480   - 32K colors    (1MB Video RAM required)
echo -      800x600   - 32K colors    (1MB Video RAM required)
echo -      512x480   - 65K colors    (1MB Video RAM required)
echo -      640x480   - 65K colors    (1MB Video RAM required)
echo -      800x600   - 65K colors    (1MB Video RAM required)
echo -
echo -
pause
cls
echo -  To install the display drivers for AutoCAD 10/386, 11/386 or
echo -  12, you need this Driver/Utility Disk and the proper AutoCAD 
echo -  386 Release.
echo -
echo -  IMPORTANT:  Make sure you have installed AutoCAD  with the
echo -  IBM Standard VGA driver and you can bring up the AutoCAD
echo -  Drawing editor screen.
echo -
echo - AutoCAD/386 Rel 10/11
echo - ---------------------
echo -
echo -  1. Change the directory to \TVGAUTIL\ACAD on your hard drive, for 
echo -     example, C:,  type:
echo -          install
echo -     follow the installation steps, The TurboDLD Classic Driver 
echo -     and the other files will be copied to the proper ACAD working 
echo -     subdirectory. 
echo -
pause
cls
echo -  2. Run DLD386's FASTCAD.BAT, or copy the commands in this file to 
echo -     AUTOEXEC.bat file in your system before you run the AutoCAD.
echo -     FASTCAD.BAT sets the environment variables including DLDCFG,
echo -     DSPADI, RDPADI and RCPADI. 
echo -
echo -  3. Start AutoCAD/386. Select Configure AutoCAD from the Main
echo -     Menu.
echo -
echo -  4. Select, in order, Configure Video Display.
echo -
echo -  5. Choose ADI P386 v4.0/4.1 display, it will bring out TurboDLD's
echo -     configuration menu, follow the configue menu to select 
echo -     proper graphics board, resolution.
echo -
echo -  6. A number of prompts follow.  They allow you to select the
echo -     graphics  area background color, text color (for the menu
echo -     status line and command prompt areas of the screen),
echo -     text background color,  border color,  and  dialog box/
echo -     button outline color.  To select the default colors, press
echo -     [Return] at each prompt.  To select a different color,
echo -     enter the desired color number at the given prompt.
echo -
pause
cls
echo -
echo - AutoCAD/386 Rel 12
echo - ------------------
echo -
echo -  Display Driver Installation Procedures
echo -
echo -
echo -  1. Change the directory to \TVGAUTIL\ACAD on your hard drive, for 
echo -     example, C:,  type:
echo -          install
echo -     follow the installation steps, The TurboDLD Classic Driver 
echo -     and the other files will be copied to the proper ACAD working 
echo -     subdirectory. 
echo -
echo -  2. Install the display driver for the drawing editor and
echo -     for rendering, as described following.
pause
cls
echo -
echo -  Drawing Editor Installation Procedures
echo -
echo -    1. Bring up your AutoCAD Drawing Editor screen.
echo -    2. Select CONFIGURE in the File pull-down menu. AutoCAD
echo -       then switches to a text screen.
echo -    3. Select 3 to configure the video display.  AutoCAD then
echo -       shows your current video display.
echo -    4. Answer Y to select a different driver.
echo -    5. Select "TRIDENT MICROSYSTEMS (C) Panacea Inc". It will bring
echo -       out the TurboDLD's configuration menu, follow the menu to
echo -       select your resolution preference.  (Make sure you have
echo -       enough video memory for the resolution.)
echo -    6. Save your selection and exit from TurboDLD's configuration.
echo -    8. Enter 0 to return to the Drawing Editor screen.
echo -    9. Answer Y to save configuration changes.
echo -
echo -
echo -
pause
cls
echo -
echo -
echo -
echo -  Rendering Installation Procedures
echo -
echo -
echo -    1. Make sure you have installed Rendering for AutoCAD Rel 12.
echo -    2. In the Drawing Editor screen, select Preferences in the
echo -       Render pull-down menu.
echo -    3. If you have previously configured Preferences for rendering,
echo -       select Reconfigure in the Rendering Preferences dialog
echo -       box.  Otherwise, it switches directly to a text screen.
echo -    4. Select 2 to configure rendering driver.
echo -    5. Select "AutoCAD's configured P386 ADI combined display/
echo -       rendering driver."
echo -    6. Select your resolution preference for rendering.
echo -    7. Select your rendering view preference.
echo -    8. Enter 0 to return to the Drawing Editor screen.
echo -    9. Answer Y to save configuration changes.
echo -   10. Click OK to close the Rendering Preferences dialog box.
echo -
echo -
echo -
PAUSE
goto drivers


:123
cls
echo -
echo - Lotus 1-2-3 Release 2.1 &2.2
echo - ============================
echo -
echo -  1. Make sure the files from the TVGA Driver/Utility Disk are
echo -     installed on your hard disk.
echo -
echo -  2. At the prompt of the TVGAUTIL directory, run SET123 to copy
echo -     the 1-2-3 drivers to your Lotus directory, like this:
echo -
echo -     Command Format:  SET123 Lotus_Directory
echo -     Example:         SET123 c:\lotus
echo -
echo -  3. Move to your LOTUS directory.
echo -
echo -  4. Type LOTUS to open the Main Menu.
echo -
echo -  5. Select Install.
echo -
echo -  6. Select Advanced Options, and then select
echo -     "Add new driver to library."
echo -
pause
cls
echo -
echo -  7. Choose "Modify current driver set."
echo -
echo -  8. Choose one of the text or graphics display options.
echo -     For graphics display mode, choose
echo -        TVGA 640x480 for Release 2
echo -
echo -     For text display mode, choose one of the following drivers:
echo -        TVGA 80x30 Version 1.03
echo -        TVGA 80x43 Version 1.03
echo -        TVGA 80x60 Version 1.03
echo -        TVGA 132x25 Version 1.03
echo -        TVGA 132x30 Version 1.03
echo -        TVGA 132x43 Version 1.03
echo -        TVGA 132x60 Version 1.03
echo -
echo -  9. Save your changes to complete the installation.
echo -
PAUSE
goto drivers

:symph
cls
echo -
echo - Symphony Release 2.x
echo - ====================
echo -
echo -  1. Make sure the files from the TVGA Driver/Utility Disk are
echo -     installed on your hard disk.
echo -
echo -  2. At the prompt of the TVGAUTIL directory, run SETSYMPH to copy
echo -     the Symphony drivers to your Symphony directory, like this:
echo -
echo -     Command Format:  SETSYMPH Symphony_Directory
echo -     Example:         SETSYMPH c:\symph
echo -
echo -  3. Move to the Symphony directory.
echo -
echo -  4. Type INSTALL to run the Symphony Install program.
echo -
echo -  5. Select Advanced Options, and then select
echo -     "Add New Drivers to Library."
echo -
echo -  6. Choose "Modify Current Driver Set."
echo -
pause
cls
echo -
echo -  7. Choose one of the text or graphics display options.
echo -     For graphics display mode, choose
echo -        TVGA 640x480 for Release 2
echo -
echo -     For text display mode, choose one of the following drivers:
echo -        TVGA 80x30 Version 1.03
echo -        TVGA 80x43 Version 1.03
echo -        TVGA 80x60 Version 1.03
echo -        TVGA 132x25 Version 1.03
echo -        TVGA 132x30 Version 1.03
echo -        TVGA 132x43 Version 1.03
echo -        TVGA 132x60 Version 1.03
echo -
echo -  8. Save your changes to complete the installation.
echo -
PAUSE
goto drivers

:GEM3
cls
echo - GEM/3 Desktop  Release 3.xx
echo - ===========================
echo -
echo -  1. Make sure GEM/3 is already installed on your hard disk and
echo -     is working well. If not, you must first install GEM/3 with a
echo -     screen driver from the original GEM/3 System Diskettes.
echo -
echo -  2. When prompted by this program, insert a formatted diskette in
echo -     drive A:.  TGUI9400CXi driver files will be copied to the
echo -     diskette, creating a GEM/3 drivers diskette.
echo -
echo -  3. Insert the original GEM/3 System Master Disk and run GEMSETUP.
echo -
echo -  4. Select CHANGE EXISTING CONFIGURATION, CONTINUE, and CHANGE YOUR
echo -     CURRENT SETUP. Then select the SCREEN DISPLAY.
echo -
echo -  5. When you are prompted to choose the graphics card and display,
echo -     choose OTHER PACK ......  and insert your new GEM/3 drivers
echo -     diskette.
echo -
echo -  6. Select a suitable TVGA display driver.
echo -
echo -  7. Continue with the rest of the GEMSETUP program.
pause
cls
echo -
echo - NOTE:
echo -
echo -  1. For more information about GEMSETUP, see your GEM/3 manual.
echo -
echo -  2. You must install a screen driver from the original GEM/3 System
echo -     Diskette before installing a TVGA screen driver.
echo -
echo -
pause
cls
echo.
echo   ******************************************************************
echo   *                                                                *
echo   *    Do you want to prepare a TRIDENT GEM/3 drivers disk?        *
echo   *                                                                *
echo   *       1. YES         2. NO                                     *
echo   *                                                                *
echo   *    Select a number to continue:         (ESC to Exit)          *
echo   *                                                                *
echo   ******************************************************************
echo.
:if_gem3
KEYIN
IF ERRORLEVEL  49 IF NOT ERRORLEVEL  50 GOTO p_gem3
IF ERRORLEVEL  89 IF NOT ERRORLEVEL  90 GOTO p_gem3
IF ERRORLEVEL 121 IF NOT ERRORLEVEL 122 GOTO p_gem3
IF ERRORLEVEL  50 IF NOT ERRORLEVEL  51 GOTO drivers
IF ERRORLEVEL  78 IF NOT ERRORLEVEL  79 GOTO drivers
IF ERRORLEVEL 110 IF NOT ERRORLEVEL 111 GOTO drivers
IF ERRORLEVEL 27 IF NOT ERRORLEVEL 28 GOTO drivers
goto if_gem3

:p_gem3
gem.bat
goto drivers

:vp
cls
call vp
c:
goto drivers

:win
CLS
echo - Microsoft Windows Version 3.1
echo - =============================
echo -
echo - Please follow the directions in the file README.TXT, found 
echo - in Disk1 of Driver/Utility.
echo -
PAUSE
goto drivers

:word
CLS
echo -
echo - Microsoft Word  version 5.0
echo - ===========================
echo -
echo -  SCREEN.VID in directory  %2:\TVGAUTIL\WORD is a driver for
echo -  Microsoft Word 5.0 that supports high-resolution text modes.
echo -  Text modes supported are 80x60, 132x25, 132x30, 132x43 and 132x60.
echo -
echo -  NOTE:  These high-resolution modes do not support a mouse.
echo -
echo -  Installation:
echo -  -------------
echo -  1. To install the new driver, copy SCREEN.VID to your Word 5.0
echo -     directory: (assuming Word 5.0 is in C:\WORD50):
echo -
echo -         COPY  %2:\TVGAUTIL\WORD\SCREEN.VID  C:\WORD50
echo -
PAUSE
CLS
echo -  2. To use the new modes, press:
echo -         [ESC]               ; Enter command status, then
echo -         O                   ; Enter Option command.
echo -         Move the cursor to "display mode", and press
echo -         [F1]                ; Display all valid modes
echo -         Select the mode by moving the highlight bar or
echo -         typing the corresponding number then hit
echo -         [ENTER]
echo -
echo -   NOTE:
echo -      The mode list displays only the number of lines in a
echo -      mode, without the number of columns, like this:
echo -              1. Text, 25 lines, 16 color
echo -              2. Text, 43 lines, 16 color
echo -              3. Text, 50 lines, 16 color
echo -              4. Text, 60 lines, 16 color
echo -              5. Text, 25 lines, 16 color
echo -              6. Text, 30 lines, 16 color
echo -              7. Text, 43 lines, 16 color
echo -              8. Text, 60 lines, 16 color
echo -      Modes 5 - 8 are 132 column modes.
echo -
PAUSE
goto drivers

:word55
CLS
echo -
echo - Microsoft Word  version 5.5
echo - ===========================
echo -
echo -  SCREEN.VID in directory  %2:\TVGAUTIL\WORD55 is a driver for Microsoft
echo -  Word 5.5 that supports high-resolution text and graphic modes.
echo -
echo -  Text modes supported are 80x60, 132x25, 132x30, 132x43 and 132x60.
echo -  Graphic modes supported are 640x480 16-color and 800x600 16-color.
echo -
echo -
echo -  Installation:
echo -  -------------
echo -  1. Change to directory  %2:\TVGAUTIL\WORD55.
echo -
echo -  2. Type SETUP.  Then follow the instructions on the screen to
echo -     install the high-resolution drivers.
echo -
PAUSE
goto drivers

:wp
cls
echo -
echo -
echo -
echo -   TVGA Screen Drivers for WordPerfect
echo -
echo -        1 -  WordPerfect 5.1 in Extended Text Mode
echo -
echo -        2 -  WordPerfect 6.0 in Extended Text Mode
echo -
echo -        3 -  WordPerfect 5.1 in High-Resolution Graphics Mode
echo -
echo -        4 -  WordPerfect 6.0 in High-Resolution Graphics Mode
echo -
echo -
echo - Enter a number ( 1 - 4 ) to continue
echo - or
echo - press ESC to return the driver menu
echo -

%1:
cd \tvgautil
KEYIN
IF ERRORLEVEL 49 IF NOT ERRORLEVEL 50 GOTO WP51T
IF ERRORLEVEL 50 IF NOT ERRORLEVEL 51 GOTO WP60T
IF ERRORLEVEL 51 IF NOT ERRORLEVEL 52 GOTO WP51G
IF ERRORLEVEL 52 IF NOT ERRORLEVEL 53 GOTO WP60G
IF ERRORLEVEL 27 IF NOT ERRORLEVEL 28 GOTO drivers
goto wp

:WP40
cls
echo -
echo - WordPerfect 4.x in Extended Text  Mode
echo - ======================================
echo -
echo -  1. Move to your WordPerfect subdirectory (e.g., type CD \WP).
echo -
echo -  2. Type WP/S to start the WordPerfect SETUP program.
echo -
echo -  3. Select option 3, "Set Screen and Beep options."
echo -
echo -  4. Enter the number of Columns and Rows in the text mode you 
echo -     desire (e.g., 80x60).
echo -
echo -  5. Choose option 0 to accept the new configuration and
echo -     exit WordPerfect.
echo -
echo -  6. Use SVM to select the extended text mode. Start WordPerfect.
echo - 
PAUSE
goto drivers

:WP50T
cls
echo -
echo - WordPerfect 5.0 in Extended Text Mode
echo - =====================================
echo -
echo -  1. Run the SVM utility to select the extended text mode you want
echo -     to use (e.g., 132 or 80 columns by 25, 30, 43, or 60 rows).
echo -
echo -  2. WordPerfect uses an 80-column mode by default.  You need not
echo -     make any adjustments to the program.  Simply enter the program
echo -     and run it without reconfiguring.
echo -
echo -  3. If you selected 132-column mode in SVM, you need to adjust the 
echo -     paper size OR change the font size from within WordPerfect (but
echo -     not both).
echo -     Instructions for both operations follow:
echo -
pause
cls
echo -
echo -  Adjusting Paper Size:
echo -  ---------------------
echo -  1. Enter WordPerfect.
echo -
echo -  2. Press SHIFT-F1 to bring up the SETUP menu. Press 5 to select
echo -     Initial Settings and then 4 to select Initial Code.
echo -
echo -  3. Press SHIFT-F8 to bring up the FORMAT menu. Press 2 to select
echo -     Page Format and then 8 to select Paper Size.
echo -
echo -  4. Configure the paper size to 14 x 11 inches and select standard
echo -     paper type.
echo -
echo -  5. Return to word processing mode. Once you have adjusted the page
echo -     size, you need not repeat this procedure unless you want to
echo -     change to a different display mode.
echo -
pause
cls
echo -
echo -  Changing Font Size:
echo -  -------------------
echo -  1. Enter WordPerfect.
echo -
echo -  2. Press SHIFT-F8 to select the Format Menu.
echo -
echo -  3. Press 3 to select to Document Format Menu.
echo -
echo -  4. Select Option 3, Initial Font, from the Document Format Menu.
echo -
echo -  5. Choose a font of 16.5 pitch or greater from those available
echo -     (available fonts depend on which printer you have selected).
echo -
echo -  6. Return to word processing mode. The Initial Font selection
echo -     you have made will be saved with your document.
echo -
pause
cls
echo -
echo - NOTES:  After you leave WordPerfect, return your display to
echo -         80x25 VGA display mode by typing  SVM VGA
echo -
echo -         You may find it convenient to put the following command
echo -         lines in a batch file:
echo -            SVM  132xnn (or,  SVM  80xnn)
echo -            WP
echo -            SVM  VGA
echo -
PAUSE
goto drivers

:WP51T
cls
echo -
echo - WordPerfect 5.1 Text Mode
echo - =========================
echo -
echo -  1. Make sure the files from your TVGA Driver/Utility Disk are
echo -     installed on your hard disk.
echo -
echo -  2. Copy the file TVGATEXT.VRS from the \WP51 subdirectory to your
echo -     WordPerfect directory.  For example, if your WP 5.1 directory is
echo -     C:\WP51, type
echo -
echo -            COPY  %2:\TVGAUTIL\WP51\TVGATEXT.VRS  C:\WP51
echo -
echo -  3. Enter WordPerfect from the directory containing the WordPerfect
echo -     program (e.g., C:\WP51).
echo -
echo -  4. Press the SETUP key (Shift-F1), choose Display, select Text
echo -     Screen Type, and choose the desired driver.
echo -
PAUSE
goto drivers




:WP60T
cls
echo - WordPerfect 6.0 Text Mode
echo - =========================
echo -
echo -  1. Make sure that the files on your TVGA Driver/Utility Disk are
echo -     installed on your hard disk.
echo -
echo -  2. Copy the file TVGA6TXT.VRS from the \WP60 subdirectory to your
echo -     WordPerfect directory. For example, if your WP 6.0 directory is
echo -     C:\WP60, type
echo -
echo -            COPY  %2:\TVGAUTIL\WP60\TVGA6TXT.VRS  C:\WP60
echo -
echo -  3. Enter WordPerfect from the directory containing the WordPerfect
echo -     program (e.g., C:\WP60).
echo -
echo -  4. Make sure you are in WordPerfect 6.0 text mode (there will be
echo -     either a check mark or an asterisk in front of Text Mode in
echo -     the VIEW menu).
echo -
echo -  5. Click SETUP (or press Shift-F1) in the FILE menu, and choose
echo -     Display.  Then select 2, Text Mode Screen Type/Colors, and
echo -     select Screen Type.  To install a Trident driver, select
echo -     Trident VGA, then choose the desired screen resolution.
PAUSE
goto drivers

:WP50G
cls
echo -
echo -   WordPerfect 5.0 in High-Resolution Graphics Mode
echo -   ================================================
echo -
echo -   The WordPerfect 5.0 graphics driver is not on this disk.
echo -   Please contact your dealer if you need this driver.
echo -
echo -
PAUSE
goto drivers

:WP51G
cls
echo -
echo - WordPerfect 5.1 in High-Resolution Graphics Mode
echo - ================================================
echo -
echo -  1. Make sure that the files on your TVGA Driver/Utility Disk are
echo -     installed on your hard disk.
echo -
echo -  2. Copy the file TVGA16.VRS from the \WP51 subdirectory to your
echo -     WordPerfect directory.  For example, if your WP 5.1 directory
echo -     is C:\WP51, type
echo -
echo -            COPY  %2:\TVGAUTIL\WP51\TVGA16.VRS  C:\WP51
echo -
echo -  3. Enter WordPerfect from the directory containing the WordPerfect
echo -     program.
echo -
echo -  4. Press the SETUP key (Shift-F1), choose Display, select Graphics
echo -     Screen Type, and choose the desired driver.
echo -
PAUSE
goto drivers

:WP60G
cls
echo - WordPerfect 6.0 in High-Resolution Graphics Mode
echo - ================================================
echo -  WordPerfect 6.0 for DOS offers a text mode and a graphics mode.
echo -  The file WPTEXT.TXT tells how to install Trident text mode drivers.
echo -                                                   
echo -  For graphics mode, you can install the VESA driver and select a
echo -  resolution from 640x480  up to 1280x1024.
echo -
echo -  1. Run the WordPerfect installation program to select the VESA
echo -     driver that comes with WP6.0.
echo -
echo -  2. Enter WordPerfect and select Graphic Mode from the View menu.
echo -
echo -  3. Select Setup from the File menu, then select the Display submenu.
echo -     Choose 1 to select a different graphics mode driver.  Choose 1
echo -     for Screen Type.  Highlight and select VESA VBE, then select
echo -     the resolution you prefer.  Follow the program instructions
echo -     to finish the installation.
echo -
PAUSE
goto drivers

:quattro
cls
echo -
echo -
echo -  Quattro Pro 2.x
echo -  ===============
echo -
echo -  1. Make sure that the files on your TVGA Driver/Utility Disk are
echo -     installed on your hard disk.
echo -
echo -  2. Copy the display drivers from  %2:\TVGAUTIL\QPRO to the Quattro
echo -     Pro directory on your hard drive.
echo -
echo -     To copy the files to your \QPRO directory on your hard drive,
echo -     just type:
echo -
echo -          COPY  %2:\TVGAUTIL\QPRO\VIDEO.RSC  C:\QPRO
echo -
echo -  3. Enter Quattro Pro by typing Q.
echo -
echo -  4. Press /O to select the Options menu  and  D to select Display
echo -     Mode.
echo -      
PAUSE
goto drivers

:ntdrv
goto nt31
cls
echo -
echo -
echo -   Microsoft Windows NT Driver
echo -   ===========================
echo -
echo -        1 -  Windows NT 3.1
echo -
echo -        2 -  Windows NT 3.5
echo -
echo -
echo - Enter a number ( 1 - 2 ) to continue 
echo - or
echo - press ESC to return the driver menu
echo -

%1:
cd \tvgautil
KEYIN
IF ERRORLEVEL 49 IF NOT ERRORLEVEL 50 GOTO NT31
IF ERRORLEVEL 50 IF NOT ERRORLEVEL 51 GOTO NT35
IF ERRORLEVEL 27 IF NOT ERRORLEVEL 28 GOTO drivers
goto ntdrv

:nt31
cls
echo - 
echo -
echo - Microsoft WindowsNT 3.1 Driver
echo - ==============================
echo -
echo - 1. Introduction
echo -
echo -  This is a Linear addressing driver,  runs on the following products:
echo -  
echo -  Trident 94XX (CXi, DGi, AGi), VESA or PCI local bus adapter
echo -
echo -  The Graphics device drivers supplied here are for the Microsoft Retail
echo -  Release of the Windows NT operating system version 3.1.
echo -  
echo -  The drivers will substitute 640x480 by 256 colors if the mode selected
echo -  is NOT supported by the trident 94XX hardware.
echo - 
echo - 
echo - 
pause
cls
echo - 
echo - 2. Supported Resolutions.
echo -
echo -               16 colors     256 colors    65000 colors    16.7 million
echo -   Resolutions   4 bpp         8 bpp         16 bpp          24 bpp
echo -  
echo -     640x480    .5/1/2MB      .5/1/2MB        1/2MB           1/2MB
echo -     800x600    .5/1/2MB         1/2MB        1/2MB             2MB
echo -     1024x768   .5/1/2MB         1/2MB          2MB             N/A
echo -     1280x1024     1/2MB           2MB          N/A             N/A
echo -     1600x1200     1/2MB           2MB          N/A             N/A
echo -  
echo -   .5/1/2MB  -  Supported on 0.5, 1 or 2 Megabyte trident 94XX products
echo -   N/A       -  Not Supported
echo -
echo -   * Note: 1600x1200, 1024x768x64K, 800x600x16M modes are only supported 
echo -           on AGi
echo -  
echo -
pause
cls
echo -
echo -
echo - 3. Installation Notes for Windows NT
echo -  
echo -   This driver package containing:
echo - 
echo -   - TRIULN.SYS          (Graphics miniport driver)
echo -   - TRIULN.DLL          (Graphics display  driver)
echo -   - OEMSETUP.INF        (setup files used by Windows NT Setup program)
echo -   - README.V31          (The README file for Windows NT Version 3.1)
echo - 
echo -   Windows NT drivers are included on Disk #2 of this package. They are
echo -   located in the \TVGAUTIL\NTDRV\NT31 sub-directory in you hard disk
echo -   after install the utility.
echo -  
echo -   Procedure:
echo - 
echo -   1. Run the Windows NT Setup program located in the Program Manager, 
echo -      Main group.
echo -  
echo -   2. Select Change System settings, from the Options pulldown menu.
echo - 
echo -   3. Select Other, from the display options.
echo -
pause   
cls
echo -
echo -   4. NT will prompt you for the correct path, enter the directory where
echo -      NT driver is located, for example, C:\TVGAUTIL\NTDRV\NT31.
echo - 
echo -   5. A list of all drivers will appears, select the resolution and color
echo -      depth desired.
echo -  
echo -   6. Restart Windows NT.  Windows NT will start up using the trident 94XX
echo -      Linear Addressing drivers.
echo -
echo -   Note: If you select a color depth or resolution, not supported by your
echo -         card, NT will substitute 640x480, 256 color for the display.
echo -
echo - 
pause
GOTO drivers
GOTO ntdrv

:nt35
cls
echo - 
echo -
echo - Microsoft WindowsNT 3.5 Driver
echo - ==============================
echo -
echo - 1. Introduction
echo -
echo -   This is a Linear addressing driver,  runs on the following products:
echo -
echo -     Trident 94XX (CXi, DGi, AGi), VESA or PCI local bus adapter
echo -
echo -   The Graphics device drivers supplied here are for the Microsoft Beta
echo -   Release of the Windows NT operating system version 3.5.
echo -
echo -   The drivers will substitute 640x480 by 256 colors if the mode selected is
echo -   NOT supported by the trident 94XX hardware.
echo -
echo -
echo -
pause   
cls
echo -
echo - 2. Supported Resolutions.
echo -
echo -               16 colors     256 colors    65000 colors    16.7 million
echo -   Resolutions    4 bpp         8 bpp         16 bpp          24 bpp
echo -
echo -   640 x  480     .5/1/2MB      .5/1/2MB      1/2MB           1/2MB
echo -   800 x  600     .5/1/2MB      .5/1/2MB      1/2MB             2MB
echo -   1024 x  768    .5/1/2MB         1/2MB        2MB             N/A
echo -   1280 x 1024       1/2MB           2MB        N/A             N/A
echo -   1600 x 1200       1/2MB           2MB        N/A             N/A
echo -
echo -   .5/1/2MB  -  Supported on 0.5, 1 or 2 Megabyte trident 94XX products
echo -   N/A       -  Not Supported
echo -
echo -   * Note: 1600x1200, 1024x768x64K, 800x600x16M modes are only supported 
echo -           on AGi
echo -
pause   
cls
echo -
echo - 3. Installation Notes for Windows NT
echo -
echo -   This driver package containing:
echo -
echo -   - TRIULN.SYS          (Graphics miniport driver)
echo -   - TRIULN.DLL          (Graphics display  driver)
echo -   - OEMSETUP.INF        (setup files used by Windows NT Setup program)
echo -   - README.V35          This README file for Windows NT Version 3.5
echo -
echo -   Windows NT drivers are included on Disk #2 of this package.  They are
echo -   located in the \NT31 sub-directory.
echo -
echo -   Procedure:
echo -
echo -   1. Run the Windows NT display Setup program located in the Control Panel, 
echo -      Main group.
echo -
echo -   2. Select "Change Display Type..." button from the Display Settings 
echo -      options.
echo -
echo -   3. Select "Change..." button from the Display Type options.
pause   
cls
echo -
echo -   4. Select "Other..." button from the Select Device options.
echo -
echo -   5. NT will prompt you for the correct path, enter A:\NT31, where A: 
echo -      is the drive containing Disk #2.
echo -
echo -   6. A list of all drivers will appears, select the resolution and color
echo -      depth desired.
echo -
echo -   7. Restart Windows NT.  Windows NT will start up using the trident 94XX
echo -      Linear Addressing drivers.
echo -
echo -   Note: If you select a color depth or resolution, not supported by your
echo -         card, NT will substitute 640x480, 256 color for the display.
echo -
echo -
echo -
pause
goto ntdrv

:svm
cls
echo -
echo -
echo -                  SET VIDEO MODE (SVM)
echo -                  ====================
echo -
echo -   SVM lets you select display modes and resolutions for
echo -   programs that do not run in standard VGA modes.  It offers
echo -   both extended-resolution modes and backward-compatible modes.
echo -   The program is totally self-explanatory.
echo -
echo -   You may leave SVM in the \TVGAUTIL\UTILITY subdirectory or
echo -   you may wish to copy it to a more accessible directory.
echo -
echo -   To run the utility, just type SVM at the prompt of the directory
echo -   where SVM.EXE is located.
echo -
PAUSE
GOTO utilities

:crtc
cls
echo -                 CRTC Modification Program
echo -                 =========================
echo -
echo -    TVGACRTC is designed to adjust CRTC parameters so that the
echo -    image on the CRT is optimally sized and centered on the screen.
echo -    Adjustable parameters include horizontal position and size,
echo -    vertical position and size (the vertical size can only be
echo -    adjusted a little because most monitors control vertical
echo -    size), and pixel frequency.
echo -
echo -    1.  Because TVGACRTC creates new monitor configuration files,
echo -        we recommend that you create a directory named \CRTC on
echo -        your hard drive by typing  MD CRTC at the root directory.
echo -
echo -    2.  Then copy the files you need from the UTILITY subdirectory
echo -        to your new directory.  Type
echo -
echo -          COPY  %2:\TVGAUTIL\UTILITY\TVGACRTC.*  C:\CRTC
echo -
echo -    3.  To run the utility, type TVGACRTC from the newly created
echo -        directory C:\CRTC on your hard drive.  The program is
echo -        self-explanatory.
echo -
pause
GOTO utilities

:smonitor
cls
echo -                 Set Monitor (SMONITOR) Program
echo -                 ==============================
echo -
echo -    SMONITOR is designed to set the monitor group and the monitor type.
echo -
echo -    1. Set Monitor Group:
echo -
echo -    The graphics extended mode set by the graphics card's BIOS is 
echo -    sorted as 8 groups by the monitor's refresh rate. The higher the 
echo -    refresh rate of the monitor, the higher the group is used. Usually, 
echo -    the higher group covers  the modes in the lower group. The group
echo -    setting as below:
echo -    
echo -    GROUP TYPE 640X400 640X480 800X600 1024X768 1280X1024  1600X1200
echo -      0   31k     70      60     56       56      87i        87i
echo -      1   35k     70      60     60       60      87i        87i
echo -      2   48k     70      75     75       75      87i        87i
echo -      3   57k     70      85     75       75      87i        87i
echo -      4   65k     70      95     85       85      60         87i    
echo -      5   72k     70      95     85       85      60         87i    
echo -      6   82k     70      95     95       95      60         87i    
echo -      7   100k    70      95     95       95      60         87i 
echo -
echo -    The default group number is 2
pause
cls
echo -
echo -    If you want set the monitor group, type:
echo -
echo -          SMONITOR GROUP
echo -
echo -    where GROUP is one of the group number listed above.
echo -
echo -
echo -    2. Set monitor Color
echo -
echo -    You can use SMONITOR program to set the monitor as color or 
echo -    monochrome dislpay format. for set color monitor, type:
echo -
echo -          SMONITOR C
echo -
echo -    or type:
echo -
echo -          SMONITOR M
echo -
echo -    to set monochrome monitor.
echo -
pause
cls
GOTO utilities

:tpatch
cls
%1:
cd \tvgautil\utility
tpatch
cd ..
GOTO utilities

:EXIT


